## net.sf.saxon.expr
Interface BindingReference

All Known Implementing Classes:
  Assign, LocalVariableReference, VariableReference

    public interface BindingReference

BindingReference is a interface used to mark references to a variable declaration. The main implementation is VariableReference, which represents a reference to a variable in an XPath expression, but it is also used to represent a reference to a variable in a saxon:assign instruction.

Method Summary
`void` `fixup(Binding binding)` Fix up this binding reference to a binding
`void` `setStaticType(SequenceType type, Value constantValue, int properties)` Fix up the static type of this variable reference; optionally, supply a constant value for the variable.

Method Detail

### setStaticType

    void setStaticType(SequenceType type,
                       Value constantValue,
                       int properties)

  Fix up the static type of this variable reference; optionally, supply a constant value for the variable. Also supplies other static properties of the expression to which the variable is bound, for example whether it is an ordered node-set.

### fixup

    void fixup(Binding binding)

  Fix up this binding reference to a binding

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.